
/*----------------------------------------------------------------------------
   * Name:    mcu.h
   * Purpose: Header File for device dependent includes
   *          for Spansion FM3 Ultra Low Leak Series
   * Note(s): defines set in "options for target - C/C++ - Define"
   *----------------------------------------------------------------------------
   * This file is part of the uVision/ARM development tools.
   * This software may only be used under the terms of a valid, current,
   * end user licence from KEIL for a compatible version of KEIL software
   * development tools. Nothing else gives you the right to use this software.
   *
   * This software is supplied "AS IS" without warranties of any kind.
   *
   * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
   *----------------------------------------------------------------------------*/


#ifndef _MCU_H_
#define _MCU_H_

#ifdef MB9AF131K
  #include "MB9A130LA\mb9a130k.h"            // MB9AF131K header file include
  #include "MB9A130LA\system_mb9af13x.h"     // MB9AF131K system start-up header file include

#elif defined MB9AF131L
  #include "MB9A130LA\mb9a130l.h"            // MB9AF131L header file include
  #include "MB9A130LA\system_mb9af13x.h"     // MB9AF131L system start-up header file include

#elif defined MB9AF131M
  #include "MB9A130N\mb9a130m.h"            // MB9AF131M header file include
  #include "MB9A130N\system_mb9af13x.h"     // MB9AF131M system start-up header file include

#elif defined MB9AF131N
  #include "MB9A130N\mb9a130n.h"            // MB9AF131N header file include
  #include "MB9A130N\system_mb9af13x.h"     // MB9AF131N system start-up header file include

#elif defined MB9AF132K
  #include "MB9A130LA\mb9a130k.h"            // MB9AF132K header file include
  #include "MB9A130LA\system_mb9af13x.h"     // MB9AF132K system start-up header file include

#elif defined MB9AF132L
  #include "MB9A130LA\mb9a130l.h"            // MB9AF132L header file include
  #include "MB9A130LA\system_mb9af13x.h"     // MB9AF132L system start-up header file include

#elif defined MB9AF132M
  #include "MB9A130N\mb9a130m.h"            // MB9AF132M header file include
  #include "MB9A130N\system_mb9af13x.h"     // MB9AF132M system start-up header file include

#elif defined MB9AF132N
  #include "MB9A130N\mb9a130n.h"            // MB9AF132N header file include
  #include "MB9A130N\system_mb9af13x.h"     // MB9AF132N system start-up header file include

#elif defined MB9AFA31L
  #include "MB9AA30N\mb9aa30l.h"            // MB9AFA31L header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA31L system start-up header file include

#elif defined MB9AFA31M
  #include "MB9AA30N\mb9aa30m.h"            // MB9AFA31M header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA31M system start-up header file include

#elif defined MB9AFA31N
  #include "MB9AA30N\mb9aa30n.h"            // MB9AFA31N header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA31N system start-up header file include

#elif defined MB9AFA32L
  #include "MB9AA30N\mb9aa30l.h"            // MB9AFA32L header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA32L system start-up header file include

#elif defined MB9AFA32M
  #include "MB9AA30N\mb9aa30m.h"            // MB9AFA32M header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA32M system start-up header file include

#elif defined MB9AFA32N
  #include "MB9AA30N\mb9aa30n.h"            // MB9AFA32N header file include
  #include "MB9AA30N\system_mb9afa3x.h"     // MB9AFA32N system start-up header file include

#else
  #error "No MCU defined!"

#endif  /* MCU List */

#endif  /* #ifdef _MCU_H_ */
